import { FactoryIdentifier } from "../models/factory-identifier";
declare class FactoryHouse {
    private factories;
    private static instance;
    private constructor();
    static getInstance(): FactoryHouse;
    get<T>(identifier: FactoryIdentifier): T | undefined;
    set<T>(identifier: FactoryIdentifier, fn: T): void;
    remove(identifier: FactoryIdentifier): boolean;
}
export declare const Factory: FactoryHouse;
export {};
